## hwdata-knoppix 0.62jp-2

=== Makefile ===
VERSION=$(shell awk '/Version:/ { print $$2 }' hwdata.spec)
RELEASE=$(shell awk '/Release:/ { print $$2 }' hwdata.spec)

prefix=$(DESTDIR)/usr
sysconfdir=$(DESTDIR)/etc
bindir=$(prefix)/bin
sbindir=$(prefix)/sbin
datadir=$(prefix)/share
mandir=$(datadir)/man
includedir=$(prefix)/include
libdir=$(prefix)/lib

CC=gcc
CFLAGS=$(RPM_OPT_FLAGS) -g

CVSROOT = $(shell cat CVS/Root 2>/dev/null || :)

CVSTAG = hwdata-r$(subst .,-,$(VERSION))

FILES = CardMonitorCombos Cards MonitorsDB pci.ids pcitable upgradelist usb.ids

all: 

install:
	mkdir -p $(datadir)/hwdata
	for foo in $(FILES) ; do \
		install -m 644 $$foo $(datadir)/hwdata ;\
	done
#	mkdir -p $(prefix)/X11R6/lib/X11
#	ln -s ../../../share/hwdata/Cards $(prefix)/X11R6/lib/X11/Cards
	
tag-archive:
	@cvs -Q tag -F $(CVSTAG)

pcilint:
	$(CC) $(CFLAGS) -o pcilint pcilint.c

check: pcilint
	./pcilint

create-archive:
	@rm -rf /tmp/hwdata
	@cd /tmp ; cvs -Q -d $(CVSROOT) export -r$(CVSTAG) hwdata || echo "Um... export aborted."
	@mv /tmp/hwdata /tmp/hwdata-$(VERSION)
	@cd /tmp ; tar -czSpf hwdata-$(VERSION).tar.gz hwdata-$(VERSION)
	@rm -rf /tmp/hwdata-$(VERSION)
	@cp /tmp/hwdata-$(VERSION).tar.gz .
	@rm -f /tmp/hwdata-$(VERSION).tar.gz
	@echo ""
	@echo "The final archive is in hwdata-$(VERSION).tar.gz"

archive: check clean tag-archive create-archive

dummy:

srpm-x:
	@echo Creating hwdata src.rpm
	@mkdir -p $(HOME)/rpmbuild/hwdata-$(VERSION)
	@mv hwdata-$(VERSION).tar.* $(HOME)/rpmbuild/hwdata-$(VERSION)/
	@cp hwdata.spec $(HOME)/rpmbuild/hwdata-$(VERSION)/
	@pushd $(HOME)/rpmbuild/hwdata-$(VERSION) &> /dev/null ; rpm --nodeps -bs hwdata.spec ; popd &> /dev/null
	@echo SRPM is: $(HOME)/rpmbuild/SRPMS/hwdata-$(VERSION)-$(RELEASE).src.rpm
	
clean:
	@rm -f hwdata-*.gz
	@rm -f pcilint

## hwdata-knoppix 0.62jp-1

=== debian/changelog ===
hwdata-knoppix (0.62jp-1) unstable; urgency=low

  * Merge RawHide pcitable,MonitorDB,Cards,pci.ids

 -- Max <magotou@fubyshare.gr.jp>  Wed, 18 Dec 2002 11:00:00 +0900

hwdata-knoppix (0.44-3) unstable; urgency=low

  * Use nv for GeForce 4 cards

 -- root <root@Knoppix>  Fri, 25 Oct 2002 22:55:10 +0200

hwdata-knoppix (0.44-2) unstable; urgency=low

  * Added 2 wireless orinoco_pci pci cards

 -- root <root@Knoppix>  Sun,  6 Oct 2002 15:23:43 +0200

hwdata-knoppix (0.44-1) unstable; urgency=low

  * Update to the newest upstream version

 -- root <root@Knoppix>  Mon, 16 Sep 2002 18:58:32 +0200

hwdata-knoppix (0.36-4) unstable; urgency=low

  * 1282:9102 works only with dmfe

 -- root <root@Knoppix>  Thu,  5 Sep 2002 19:16:40 +0200

hwdata-knoppix (0.36-3) unstable; urgency=low

  * Added 5333:8a26 to XFree86(savage) supported cards

 -- root <root@Knoppix>  Fri, 23 Aug 2002 15:36:18 +0200

hwdata-knoppix (0.36-2) unstable; urgency=low

  * Added another AC97 card

 -- root <root@Knoppix>  Sat, 17 Aug 2002 18:25:16 +0200

hwdata-knoppix (0.36-1) unstable; urgency=low

  * Update to 0.36

 -- root <root@Knoppix>  Mon,  5 Aug 2002 21:20:00 +0200

hwdata-knoppix (0.30-2) unstable; urgency=low

  * Knoppix extensions in pcitable-knoppix

 -- root <root@Knoppix>  Wed, 26 Jun 2002 17:33:26 +0200

hwdata (0.30-1) unstable; urgency=low

  * new upstream from 2002-05-29

 -- Noel Koethe <noel@debian.org>  Thu, 30 May 2002 16:43:00 +0200

hwdata (0.14-1) unstable; urgency=low

  * new upstream from 2002-04-17

 -- Noel Koethe <noel@debian.org>  Sun, 12 May 2002 14:41:00 +0200

hwdata (0.12-1) unstable; urgency=medium

  * new upstream from 2002-04-10
    (will wait with upload until 0.10-1 will enter woody)

 -- Noel Koethe <noel@debian.org>  Mon, 15 Apr 2002 21:00:00 +0200

hwdata (0.10-1) unstable; urgency=low

  * new upstream from 2002-04-03

 -- Noel Koethe <noel@debian.org>  Sun,  7 Apr 2002 15:03:00 +0200

hwdata (0.8.2-1) unstable; urgency=low

  * new upstream from 2002-03-18

 -- Noel Koethe <noel@debian.org>  Sat, 30 Mar 2002 15:25:00 +0100

hwdata (0.3-1) unstable; urgency=low

  * Initial Release.
    upstream splitted the kudzu package into kudzu and
    hwdata

 -- Noel Koethe <noel@debian.org>  Wed,  6 Mar 2002 13:10:18 +0100

=== debian/control ===
Source: hwdata-knoppix
Section: misc
Priority: optional
Maintainer: Klaus Knopper <knoppix@knopper.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: hwdata-knoppix
Replaces: hwdata
Provides: hwdata
Architecture: all
Depends: ${shlibs:Depends}
Description: hardware identification / configuration data
 This package contains various hardware identification and configuration data,
 such as the pci.ids database, or the XFree86 Cards database.
 Its needed for the kudzu hardware detection.

## hwdata-knoppix 0.62jp-2

=== debian/changelog ===
hwdata-knoppix (0.62jp-2) unstable; urgency=low

  * Enable some graphics cards(sis,nv,radeon,r128) and change i8xx builtin
    LAN adaptors' driver from e100 to eepro100.

 -- Max <magotou@fubyshare.gr.jp>  Sat, 11 Jan 2003 19:10:00 +0900
 

=== debian/control ===
Source: hwdata-knoppix
Section: misc
Priority: optional
Maintainer: Masaharu 'Max' Goto <magotou@fubyshare.gr.jp>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: hwdata-knoppix
Replaces: hwdata
Provides: hwdata
Architecture: all
Depends: ${shlibs:Depends}
Description: hardware identification / configuration data
 This package contains various hardware identification and configuration data,
 such as the pci.ids database, or the XFree86 Cards database.
 Its needed for the kudzu hardware detection.(K.Knopper)
 Though this package is built for ya-knoppix-jp project release,
 would appliable for original streams maybe.(Max)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/kudzu.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/hwdata-knoppix
	rm -f $(CURDIR)/debian/hwdata-knoppix/usr/X11R6/lib/X11/Cards

	# Merge the XFree86-4 database of discover with pcitable from
	# the original kudzu-lib
	$(CURDIR)/debian/mergepcitable pcitable $(CURDIR)/debian/pcitable-knoppix >$(CURDIR)/debian/hwdata-knoppix/usr/share/hwdata/pcitable
	# The nv driver for GeForce 4 seems to work in XFree 4.2.1
	sed '/CHIPSET GeForce 4/n;s/DRIVER vesa/DRIVER nv/' Cards >$(CURDIR)/debian/hwdata-knoppix/usr/share/hwdata/Cards

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
